> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CO2 Savings

> Returns the saved CO2 amount for given energy amount for given year.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/prices/get_co2_savings/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/prices/get_co2_savings/:
    get:
      tags:
        - prices
      summary: Get CO2 Savings
      description: Returns the saved CO2 amount for given energy amount for given year.
      operationId: get_co2_savings
      parameters:
        - in: query
          name: consumption
          schema:
            type: number
            format: double
            minimum: 0
          description: Yearly consumption in kWh.
          required: true
        - in: query
          name: year
          schema:
            type: string
            enum:
              - '2013'
              - '2014'
              - '2015'
              - '2016'
              - '2017'
              - '2018'
              - '2019'
              - '2020'
              - '2021'
              - '2022'
              - '2023'
              - '2024'
              - '2025'
              - '2026'
            default: '2026'
          description: Requested calendar year; defaults to the current year.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CO2SavingsResponse'
          description: OK
components:
  schemas:
    CO2SavingsResponse:
      type: object
      properties:
        saved_co2:
          type: number
          format: double
          description: Saved CO2 amount in grams.
      required:
        - saved_co2

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.